KDK_FAN_FREEALL(3)

NAME
kdk_fan_freeall - 用于回收字符串列表

SYNOPSIS
#include <libkyfan.h>

extern inline void kdk_fan_freeall(char **ptr);

Link with -lkyfan.

Detailed Description
The main function of the interface is to recycle a list of strings of type char **.

The argument ptr is a list of strings of type char **.

RETURN VALUE
No return value

EXAMPLES
    #include "libkyfan.h"
    #include <stdio.h>
    #include <stdlib.h>
    int main()
    {
        char **fan = kdk_fan_get_information();
        int index = 0;
        while (fan[index])
        {
            printf("%s, fan[index]);
            index++;
        }
        kdk_fan_freeall(fan);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_fan_get_information().

SEE ALSO
kdk_fan_get_information(3).